Tuesday26Feb 2019

Wilkinson College Graduate Student Workshop

Inner Peace Practices and Community Implementation

Tuesday, February 26, 2019 4:00 p.m. - 6:50 p.m.
2019-02-26 16:00 2019-02-26 18:50 America/Los_Angeles Wilkinson College Graduate Student Workshop Laura Scudder Conference Room, Roosevelt Hall Allison DeVries devries@chapman.edu

RSVP is required

Graduate Students can enroll in this workshop through my.chapman.edu. Course number is GUS 530.

Laura Scudder Conference Room, Roosevelt Hall

Students

are invited to attend.

Tuesday February 26, 2019 4-6:50PM

Inner Peace Practices and Community Implementation

Laura Scudder Conference Room, Roosevelt Hall 121

 

maytha alhassen, historian, journalist, social justice artist, and mending practitioner

maytha alhassen, Ph.D. is a historian, journalist, social justice artist, and mending practitioner. Her work bridges the worlds of organizing, academic research, media engagement, artistic expression and spiritually-guided healing practices. maytha alhassen received her Ph.D. in American Studies and Ethnicity from University of Southern California in December 2017. She studies cultural histories, social movements and friendships, race and ethnicity, social justice and the arts, travel, global flows, critical migration studies, women + gender, sacred femininities, media studies, Afro-Arab "solidarity politics," Malcolm X, global south, food justice, and indigenous spiritual healing technologies and practices.

While a doctoral student at USC, alhassen assisted in the launch of the Middle East Studies Program (now a department).

‚Äč

alhassen received her bachelor's degree in Political Science and Arabic and Islamic studies from the UCLA in 2004 and her master's degree in Anthropology from Columbia University in 2008. While at Columbia, alhassen conducted research for the university's Malcolm X Project. 

 

You can contact the event organizer, Allison DeVries at devries@chapman.edu or (714) 997-6752.

Edit contact information

Does something on this page need to be updated?